Click or drag to resize

DisplayPipelineDrawPoints Method (IEnumerablePoint3d, PointStyle, Color, Color, Single, Single, Single, Single, Boolean, Boolean)

[Missing <summary> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

Namespace:  Rhino.Display
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public void DrawPoints(
	IEnumerable<Point3d> points,
	PointStyle style,
	Color strokeColor,
	Color fillColor,
	float radius,
	float strokeWidth,
	float secondarySize,
	float rotationRadians,
	bool diameterIsInPixels,
	bool autoScaleForDpi
)

Parameters

points
Type: System.Collections.GenericIEnumerablePoint3d

[Missing <param name="points"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

style
Type: Rhino.DisplayPointStyle

[Missing <param name="style"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

strokeColor
Type: System.DrawingColor

[Missing <param name="strokeColor"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

fillColor
Type: System.DrawingColor

[Missing <param name="fillColor"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

radius
Type: SystemSingle

[Missing <param name="radius"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

strokeWidth
Type: SystemSingle

[Missing <param name="strokeWidth"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

secondarySize
Type: SystemSingle

[Missing <param name="secondarySize"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

rotationRadians
Type: SystemSingle

[Missing <param name="rotationRadians"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

diameterIsInPixels
Type: SystemBoolean

[Missing <param name="diameterIsInPixels"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

autoScaleForDpi
Type: SystemBoolean

[Missing <param name="autoScaleForDpi"/> documentation for "M:Rhino.Display.DisplayPipeline.DrawPoints(System.Collections.Generic.IEnumerable{Rhino.Geometry.Point3d},Rhino.Display.PointStyle,System.Drawing.Color,System.Drawing.Color,System.Single,System.Single,System.Single,System.Single,System.Boolean,System.Boolean)"]

Version Information

Rhino for Windows

Supported in: 6.0 BETA
See Also